" vi:set ts=8 sts=8 sw=8 tw=0:
"
" Menu Translations:	Japanese (CP932)
" Last Translator:	MURAOKA Taro  <koron.kaoriya@gmail.com>
" Last Change:		18-Jul-2018.
"
" Copyright (C) 2001-2018 MURAOKA Taro <koron.kaoriya@gmail.com>,
"			  vim-jp <http://vim-jp.org/>
"
" THIS FILE IS DISTRIBUTED UNDER THE VIM LICENSE.

" Quit when menu translations have already been done.
if exists("did_menu_trans")
  finish
endif
let did_menu_trans = 1
let s:keepcpo= &cpo
set cpo&vim

scriptencoding cp932

" Help menu
menutrans &Help			wv(&H)
menutrans &Overview<Tab><F1>	T(&O)<Tab><F1>
menutrans &User\ Manual		[U[}jA(&U)
menutrans &How-to\ links	&How-toN
menutrans &Credits		NWbg(&C)
menutrans Co&pying		쌠(&P)
menutrans &Sponsor/Register	X|T[/o^(&S)
menutrans O&rphans		ǎ(&R)
menutrans &Version		o[W(&V)
menutrans &About		Vimɂ(&A)

let g:menutrans_help_dialog = "wvR}h͒P͂Ă:\n\n}[h̃R}hɂ i_ 擪ɕt܂. (: i_CTRL-X)\nR}hCҏWR}hɂ c_ 擪ɕt܂. (: c_<Del>)\nIvV̖Oɂ ' t܂. (: 'shiftwidth')"

" File menu
menutrans &File				t@C(&F)
menutrans &Open\.\.\.<Tab>:e		J(&O)\.\.\.<Tab>:e
menutrans Sp&lit-Open\.\.\.<Tab>:sp	ĊJ(&L)\.\.\.<Tab>:sp
menutrans Open\ Tab\.\.\.<Tab>:tabnew	^uy[WŊJ<Tab>:tabnew
menutrans &New<Tab>:enew		VK쐬(&N)<Tab>:enew
menutrans &Close<Tab>:close		(&C)<Tab>:close
menutrans &Save<Tab>:w			ۑ(&S)<Tab>:w
menutrans Save\ &As\.\.\.<Tab>:sav	Otĕۑ(&A)\.\.\.<Tab>:sav
menutrans Split\ &Diff\ with\.\.\.	\(&D)\.\.\.
menutrans Split\ Patched\ &By\.\.\.	pb`ʂ\(&B)\.\.\.
menutrans &Print			(&P)
menutrans Sa&ve-Exit<Tab>:wqa		ۑďI(&V)<Tab>:wqa
menutrans E&xit<Tab>:qa			I(&X)<Tab>:qa

" Edit menu
menutrans &Edit				ҏW(&E)
menutrans &Undo<Tab>u			(&U)<Tab>u
menutrans &Redo<Tab>^R			x(&R)<Tab>^R
menutrans Rep&eat<Tab>\.		JԂ(&E)<Tab>\.
menutrans Cu&t<Tab>"+x			؂(&T)<Tab>"+x
menutrans &Copy<Tab>"+y			Rs[(&C)<Tab>"+y
menutrans &Paste<Tab>"+gP		\t(&P)<Tab>"+gP
menutrans Put\ &Before<Tab>[p		Oɓ\(&B)<Tab>[p
menutrans Put\ &After<Tab>]p		ɓ\(&A)<Tab>]p
menutrans &Delete<Tab>x			(&D)<Tab>x
menutrans &Select\ All<Tab>ggVG		SđI(&S)<Tab>ggVG
menutrans &Find\.\.\.			(&F)\.\.\.
menutrans &Find<Tab>/			(&F)<Tab>/
menutrans Find\ and\ Rep&lace\.\.\.	u(&L)\.\.\.
menutrans Find\ and\ Rep&lace<Tab>:%s	u(&L)<Tab>:%s
menutrans Find\ and\ Rep&lace<Tab>:s	u(&L)<Tab>:s
"menutrans Options\.\.\.			IvV(&O)\.\.\.
menutrans Settings\ &Window		ݒEBhE(&W)
menutrans Startup\ &Settings		N̐ݒ(&S)

" Edit/Global Settings
menutrans &Global\ Settings		S̐ݒ(&G)
menutrans Toggle\ Pattern\ &Highlight<Tab>:set\ hls!
	\	p^[ؑ(&H)<Tab>:set\ hls!
menutrans Toggle\ &Ignoring\ Case<Tab>:set\ ic!
	\	召ʐؑ(&I)<Tab>:set\ ic!
menutrans Toggle\ &Showing\ Matched\ Pairs<Tab>:set\ sm!
	\	}b`\ؑ(&S)<Tab>:set\ sm!
menutrans &Context\ lines		J[\Ӎs(&C)
menutrans &Virtual\ Edit		zҏW(&V)
menutrans Never				
menutrans Block\ Selection		ubNI
menutrans Insert\ mode			}[h
menutrans Block\ and\ Insert		ubN/}[h
menutrans Always			펞
menutrans Toggle\ Insert\ &Mode<Tab>:set\ im!
	\	}(S)[hؑ(&M)<Tab>:set\ im!
menutrans Toggle\ Vi\ C&ompatibility<Tab>:set\ cp!
	\	Vi݊[hؑ(&O)<Tab>:set\ cp!
menutrans Search\ &Path\.\.\.		pX(&P)\.\.\.
menutrans Ta&g\ Files\.\.\.		^Ot@C(&G)\.\.\.
"
" GUI options
menutrans Toggle\ &Toolbar		c[o[\ؑ(&T)
menutrans Toggle\ &Bottom\ Scrollbar	XN[o[()\ؑ(&B)
menutrans Toggle\ &Left\ Scrollbar	XN[o[()\ؑ(&L)
menutrans Toggle\ &Right\ Scrollbar	XN[o[(E)\ؑ(&R)

let g:menutrans_path_dialog = "t@ČpX͂Ă:\nfBNg̓J} ( , ) ŋ؂Ă."
let g:menutrans_tags_dialog = "^Ot@C̖O͂Ă:\nO̓J} ( , ) ŋ؂Ă."

" Edit/File Settings

" Boolean options
menutrans F&ile\ Settings		t@Cݒ(&I)
menutrans Toggle\ Line\ &Numbering<Tab>:set\ nu!
	\	sԍ\ؑ(&N)<Tab>:set\ nu!
menutrans Toggle\ Relati&ve\ Line\ Numbering<Tab>:set\ rnu!
	\	΍sԍ\ؑ(&V)<Tab>:set\ rnu!
menutrans Toggle\ &List\ Mode<Tab>:set\ list!
	\ Xg[hؑ(&L)<Tab>:set\ list!
menutrans Toggle\ Line\ &Wrapping<Tab>:set\ wrap!
	\	sܕԂؑ(&W)<Tab>:set\ wrap!
menutrans Toggle\ W&rapping\ at\ word<Tab>:set\ lbr!
	\	PܕԂؑ(&R)<Tab>:set\ lbr!
menutrans Toggle\ Tab\ &Expanding<Tab>:set\ et!
	\	^uWJؑ(&E)<Tab>:set\ et!
menutrans Toggle\ &Auto\ Indenting<Tab>:set\ ai!
	\	ؑ(&A)<Tab>:set\ ai!
menutrans Toggle\ &C-Style\ Indenting<Tab>:set\ cin!
	\	Cꎚؑ(&C)<Tab>:set\ cin!

" other options
menutrans &Shiftwidth			Vtg(&S)
menutrans Soft\ &Tabstop		\tgEFA^u(&T)
menutrans Te&xt\ Width\.\.\.		eLXg(&X)\.\.\.
menutrans &File\ Format\.\.\.		sLI(&F)\.\.\.

let g:menutrans_textwidth_dialog = "eLXg̕('textwidth')ݒ肵Ă (0Ő`𖳌):"
let g:menutrans_fileformat_dialog = "t@Co͂̍ۂ̉sĽ`Ił."
let g:menutrans_fileformat_choices = "&Unix\n&Dos\n&Mac\nLZ(&C)"

menutrans Show\ C&olor\ Schemes\ in\ Menu	Fe[}j[ɕ\(&O)
menutrans C&olor\ Scheme		Fe[}I(&O)
menutrans Show\ &Keymaps\ in\ Menu	L[}bvj[ɕ\(&K)
menutrans &Keymap			L[}bv(&K)
menutrans None				Ȃ

" Programming menu
menutrans &Tools			c[(&T)
menutrans &Jump\ to\ this\ tag<Tab>g^]	^OWv(&J)<Tab>g^]
menutrans Jump\ &back<Tab>^T		߂(&B)<Tab>^T
menutrans Build\ &Tags\ File		^Ot@C쐬(&T)
menutrans &Make<Tab>:make		rh(&M)<Tab>:make
menutrans &List\ Errors<Tab>:cl		G[Xg(&L)<Tab>:cl
menutrans L&ist\ Messages<Tab>:cl!	bZ[WXg(&I)<Tab>:cl!
menutrans &Next\ Error<Tab>:cn		̃G[(&N)<Tab>:cn
menutrans &Previous\ Error<Tab>:cp	ÕG[(&P)<Tab>:cp
menutrans &Older\ List<Tab>:cold	ÂXg(&O)<Tab>:cold
menutrans N&ewer\ List<Tab>:cnew	VXg(&E)<Tab>:cnew
menutrans Error\ &Window		G[EBhE(&W)
menutrans &Update<Tab>:cwin		XV(&U)<Tab>:cwin
menutrans &Open<Tab>:copen		J(&O)<Tab>:copen
menutrans &Close<Tab>:cclose		(&C)<Tab>:cclose
menutrans &Convert\ to\ HEX<Tab>:%!xxd	HEX֕ϊ(&C)<Tab>:%!xxd
menutrans Conve&rt\ back<Tab>:%!xxd\ -r	HEXtϊ(&R)<Tab>%!xxd\ -r
menutrans Show\ Compiler\ Se&ttings\ in\ Menu	RpCݒj[ɕ\(&T)
menutrans Se&t\ Compiler		RpCݒ(&T)

" Tools.Spelling Menu
menutrans &Spelling			XyO(&S)
menutrans &Spell\ Check\ On		Xy`FbNL(&S)
menutrans Spell\ Check\ &Off		Xy`FbN(&O)
menutrans To\ &Next\ error<Tab>]s	̃G[(&N)<Tab>]s
menutrans To\ &Previous\ error<Tab>[s	ÕG[(&P)<Tab>[s
menutrans Suggest\ &Corrections<Tab>z=	C(&C)<Tab>z=
menutrans &Repeat\ correction<Tab>:spellrepall	CJԂ(&R)<Tab>:spellrepall
menutrans Set\ language\ to\ "en"	\ "en"\ ɐݒ肷
menutrans Set\ language\ to\ "en_au"	\ "en_au"\ ɐݒ肷
menutrans Set\ language\ to\ "en_ca"	\ "en_ca"\ ɐݒ肷
menutrans Set\ language\ to\ "en_gb"	\ "en_gb"\ ɐݒ肷
menutrans Set\ language\ to\ "en_nz"	\ "en_nz"\ ɐݒ肷
menutrans Set\ language\ to\ "en_us"	\ "en_us"\ ɐݒ肷
menutrans &Find\ More\ Languages	̌(&F)

let g:menutrans_spell_change_ARG_to = '"%s"\ ύX'
let g:menutrans_spell_add_ARG_to_word_list = '"%s"\ PꃊXgɒǉ'
let g:menutrans_spell_ignore_ARG = '"%s"\ 𖳎'

" Tools.Fold Menu
menutrans &Folding			܏(&F)
" open close folds
menutrans &Enable/Disable\ folds<Tab>zi	L/ؑ(&E)<Tab>zi
menutrans &View\ Cursor\ Line<Tab>zv	J[\s\(&V)<Tab>zv
menutrans Vie&w\ Cursor\ Line\ only<Tab>zMzx	J[\s\(&W)<Tab>zMzx
menutrans C&lose\ more\ folds<Tab>zm	܏݂(&L)<Tab>zm
menutrans &Close\ all\ folds<Tab>zM	S܏݂(&C)<Tab>zM
menutrans O&pen\ more\ folds<Tab>zr	܏݂J(&P)<Tab>zr
menutrans &Open\ all\ folds<Tab>zR	S܏݂J(&O)<Tab>zR
" fold method
menutrans Fold\ Met&hod			܏ݕ@(&H)
menutrans M&anual			蓮(&A)
menutrans I&ndent			Cfg(&N)
menutrans E&xpression			](&X)
menutrans S&yntax			V^bNX(&Y)
menutrans &Diff				(&D)
menutrans Ma&rker			}[J[(&R)
" create and delete folds
menutrans Create\ &Fold<Tab>zf		܏ݍ쐬(&F)<Tab>zf
menutrans &Delete\ Fold<Tab>zd		܏ݍ폜(&D)<Tab>zd
menutrans Delete\ &All\ Folds<Tab>zD	S܏ݍ폜(&A)<Tab>zD
" moving around in folds
menutrans Fold\ col&umn\ width		܏݃J(&U)

menutrans &Update		XV(&U)
menutrans &Get\ Block		ubNo(&G)
menutrans &Put\ Block		ubNKp(&P)

" Names for buffer menu.
menutrans &Buffers		obt@(&B)
menutrans &Refresh\ menu	j[ēǍ(&R)
menutrans &Delete		폜(&D)
menutrans &Alternate		֐ؑ(&A)
menutrans &Next			̃obt@(&N)
menutrans &Previous		Õobt@(&P)
let g:menutrans_no_file = "[]"

" Window menu
menutrans &Window			EBhE(&W)
menutrans &New<Tab>^Wn			VK쐬(&N)<Tab>^Wn
menutrans S&plit<Tab>^Ws		(&P)<Tab>^Ws
menutrans Sp&lit\ To\ #<Tab>^W^^	obt@֕(&L)<Tab>^W^^
menutrans Split\ &Vertically<Tab>^Wv	(&V)<Tab>^Wv
menutrans Split\ File\ E&xplorer	t@CGNXv[(&X)
menutrans &Close<Tab>^Wc		(&C)<Tab>^Wc
menutrans Move\ &To			ړ(&T)
menutrans &Top<Tab>^WK			(&T)<Tab>^WK
menutrans &Bottom<Tab>^WJ		(&B)<Tab>^WJ
menutrans &Left\ side<Tab>^WH		(&L)<Tab>^WH
menutrans &Right\ side<Tab>^WL		E(&R)<Tab>^WL
menutrans Close\ &Other(s)<Tab>^Wo	(&O)<Tab>^Wo
menutrans Ne&xt<Tab>^Ww			(&X)<Tab>^Ww
menutrans P&revious<Tab>^WW		O(&R)<Tab>^WW
menutrans &Equal\ Size<Tab>^W=	(&E)<Tab>^W=
menutrans &Max\ Height<Tab>^W_		ő卂(&M)<Tab>^W_
menutrans M&in\ Height<Tab>^W1_		ŏ(&i)<Tab>^W1_
menutrans Max\ &Width<Tab>^W\|		ő啝(&W)<Tab>^W\|
menutrans Min\ Widt&h<Tab>^W1\|		ŏ(&H)<Tab>^W1\|
menutrans Rotate\ &Up<Tab>^WR		Ƀ[e[V(&U)<Tab>^WR
menutrans Rotate\ &Down<Tab>^Wr		Ƀ[e[V(&D)<Tab>^Wr
menutrans Select\ Fo&nt\.\.\.		tHgݒ(&N)\.\.\.

" The popup menu
menutrans &Undo			(&U)
menutrans Cu&t			؂(&T)
menutrans &Copy			Rs[(&C)
menutrans &Paste		\t(&P)
menutrans &Delete		폜(&D)
menutrans Select\ Blockwise	`ubNI
menutrans Select\ &Word		PI(&W)
menutrans Select\ &Sentence	I(&S)
menutrans Select\ Pa&ragraph	iI(&R)
menutrans Select\ &Line		sI(&L)
menutrans Select\ &Block	ubNI(&B)
menutrans Select\ &All		ׂđI(&A)

" The GUI toolbar (for Win32 or GTK)
if has("toolbar")
  if exists("*Do_toolbar_tmenu")
    delfun Do_toolbar_tmenu
  endif
  fun Do_toolbar_tmenu()
    tmenu ToolBar.Open		t@CJ
    tmenu ToolBar.Save		݂̃t@Cۑ
    tmenu ToolBar.SaveAll	ׂẴt@Cۑ
    tmenu ToolBar.Print		
    tmenu ToolBar.Undo		
    tmenu ToolBar.Redo		x
    tmenu ToolBar.Cut		Nbv{[h֐؂
    tmenu ToolBar.Copy		Nbv{[hփRs[
    tmenu ToolBar.Paste		Nbv{[h\t
    tmenu ToolBar.Find		...
    tmenu ToolBar.FindNext	
    tmenu ToolBar.FindPrev	O
    tmenu ToolBar.Replace	u...
    if 0	" disabled; These are in the Windows menu
      tmenu ToolBar.New		VKEBhE쐬
      tmenu ToolBar.WinSplit	EBhE
      tmenu ToolBar.WinMax	EBhEő剻
      tmenu ToolBar.WinMin	EBhEŏ
      tmenu ToolBar.WinClose	EBhE
    endif
    tmenu ToolBar.LoadSesn	ZbVǍ
    tmenu ToolBar.SaveSesn	ZbVۑ
    tmenu ToolBar.RunScript	VimXNvgs
    tmenu ToolBar.Make		vWFNgMake
    tmenu ToolBar.Shell		VFJ
    tmenu ToolBar.RunCtags	tags쐬
    tmenu ToolBar.TagJump	^OWv
    tmenu ToolBar.Help		Vimwv
    tmenu ToolBar.FindHelp	Vimwv
  endfun
endif

" Syntax menu
menutrans &Syntax		V^bNX(&S)
menutrans &Show\ File\ Types\ in\ Menu	Ή`j[ɕ\(&S)
menutrans Set\ '&syntax'\ only	'syntax'ݒ(&S)
menutrans Set\ '&filetype'\ too	'filetype'ݒ(&F)
menutrans &Off			(&O)
menutrans &Manual		蓮ݒ(&M)
menutrans A&utomatic		ݒ(&U)
menutrans on/off\ for\ &This\ file
	\	I/Itؑ(&T)
menutrans Co&lor\ test		J[eXg(&L)
menutrans &Highlight\ test	nCCgeXg(&H)
menutrans &Convert\ to\ HTML	HTMLփRo[g(&C)

let &cpo = s:keepcpo
unlet s:keepcpo

" filler to avoid the line above being recognized as a modeline
" filler
